<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since Twenty Eleven 1.0
 */

get_header(); ?>
<section>
	<article>
		<header class="entry-header">
			<h1 class="entry-title"><?php _e( 'This is somewhat embarrassing, isn&rsquo;t it?', 'twentyeleven' ); ?></h1>
		</header>

		<div class="entry-content">
				<p><?php _e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching, or one of the links below, can help.', 'insights' ); ?></p>

			<div class="row">
				<?php the_widget( 'WP_Widget_Recent_Posts', array( 'number' => 10 ), array( 'widget_id' => '404' ) ); ?>
			</div>
			<div class="row">
				<h2 class="widgettitle"><?php _e( 'Most Used Categories', 'insights' ); ?></h2>
				<ul>
				<?php wp_list_categories( array( 'orderby' => 'count', 'order' => 'DESC', 'show_count' => 1, 'title_li' => '', 'number' => 10 ) ); ?>
				</ul>
			</div>
			<div class="row">
				<?php
				/* translators: %1$s: smilie */
				$archive_content = '<p>' . sprintf( __( 'Try looking in the monthly archives. %1$s', 'insights' ), convert_smilies( ':)' ) ) . '</p>';
				the_widget( 'WP_Widget_Archives', array('count' => 0 , 'dropdown' => 1 ), array( 'after_title' => '</h2>'.$archive_content ) );
				?>
			</div>
			<div class="row">
				<?php the_widget( 'WP_Widget_Tag_Cloud' ); ?>
			</div>
		</div><!-- .entry-content -->
	</article><!-- #post-0 -->
</section>

<?php get_footer(); ?>