<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Author Template
 *
 *
 * @file           author.php
 * @package        Canonical 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license        license.txt
 * @version        Release: 2.0
 * @filesource     wp-content/themes/canonical/author.php
 * @link           http://codex.wordpress.org/Author_Templates
 * @since          available since Release 2.0
 */

get_header(); ?>
<section>
<div id="team-intro-wrapper" class="section-wrapper">
<div class="non-semantic-div container">
<div class="wrapper">
<?php if ( is_author('') ) { ?>

    <?php $curauth = (isset($_GET['author_name'])) ? get_user_by('slug', $author_name) : get_userdata(intval($author)); ?>

    <div id="hcard-<?php echo $curauth->user_nicename; ?>" class="vcard">
 		    <div class="two-col">
   	<div class="author-image clearfix">
			<?php if(get_the_author_meta('user_photo', $curauth->ID)): ?>	
			    <img src="<?php bloginfo('url'); ?>/wp-content/uploads/<?php the_author_meta('user_photo',$curauth->ID); ?>" class="superellipse" alt="<?php the_author_meta('first_name',$curauth->ID); ?>'s photo" width="150" height="150" />
		    <?php else : ?>
			    	<?php echo get_avatar($curauth->user_email, '150', $avatar); ?>
		    <?php endif; ?>
		    </div>
				<ul id="social-links" class="no-bullets">
<?php if(get_the_author_meta('twitter', $curauth->ID)): ?>
				<li><a id="social-twitter" class="url" href="http://twitter.com/<?php echo $curauth->twitter; ?>" title="Follow <?php echo $curauth->first_name; ?> on Twitter">Twitter</a></li>
<?php endif; ?>
<?php if(get_the_author_meta('facebook', $curauth->ID)): ?>
				<li><a id="social-facebook" class="url" href="http://facebook.com/<?php echo $curauth->facebook; ?>" title="Follow <?php echo $curauth->first_name; ?> on Facebook">Facebook</a></li>
<?php endif; ?>
<?php if(get_the_author_meta('google', $curauth->ID)): ?>
				<li><a id="social-google" class="url" href="https://plus.google.com/<?php echo $curauth->google; ?>" title="Follow <?php echo $curauth->first_name; ?> on Google+">Google Plus</a></li>
<?php endif; ?>
<?php if(get_the_author_meta('launchpad', $curauth->ID)): ?>
				<li><a id="social-launchpad" class="url" href="https://launchpad.net/~<?php echo $curauth->launchpad; ?>" title="View <?php echo $curauth->first_name; ?> on Launchpad">Launchpad</a></li>
<?php endif; ?>
				</ul>
		    </div>
		    <div class="eight-col last-col">
		    	<header>
		    		<hgroup>
	    				<h1><?php if(get_the_author_meta('first_name', $curauth->ID)): ?><span class="given-name"><?php echo $curauth->first_name; ?></span> <span class="family-name"><?php echo $curauth->last_name; ?></span><?php else : ?><?php echo $curauth->display_name; ?><?php endif; ?></h1>
	<?php if(get_the_author_meta('roleinteam',$curauth->ID) && (get_the_author_meta('displayonteam', $curauth->ID))){ ?>
		    			<h2 class="role"><?php echo $curauth->roleinteam; ?></h2>
	
	<?php } ?>
		    		</hgroup>
	<?php if(get_the_author_meta('displayonteam',$curauth->ID)){ ?>
	<?php if(get_the_author_meta('location',$curauth->ID)){ ?>
		    			<p class="location"><?php echo $curauth->location; ?></p>
	<?php } ?>
		    	</header>
	<?php if(get_the_author_meta('user_description', $curauth->ID)){ ?>
		    	<p><?php echo $curauth->user_description; ?></p>
	<?php } ?>
	<?php } ?>
		    </div><!-- /.eight-col -->
    	</div><!-- /.box -->
    </div><!-- /.vcard -->
</div><!-- /.twelve-col -->
</div><!-- /.non-semantic-div -->
</div>

<?php 
	$style_classes = array('','',' last-col');
	$style_index = 0;
	$postCount = 0;
?>	
	<?php query_posts($query_string . ''); ?>
<div class="articles-wrapper section-wrapper">
	<div id="articles" class="container">
	<div class="eight-col prefix-two">
		<h2><?php if(get_the_author_meta('first_name', $curauth->ID)): ?><?php echo $curauth->first_name; ?><?php else : ?><?php echo $curauth->display_name; ?><?php endif; ?>'s posts:</h2>
			<ul class="no-bullets">
	<?php if ( have_posts() ) : ?>
	<?php while ( have_posts() ) : the_post(); ?><?php if (is_sticky()) continue; ?>
		        <li>
		        	<a class="link-arrow" href="<?php the_permalink(); ?>">
		        		<h2><?php the_title(); ?></h2>
		        		<span class="container"><time datetime="<?php the_time('Y-m-d') ?>"><?php the_time('j') ?><sup><?php the_time('S') ?></sup><?php the_time(' F Y') ?></time></span>
		        	</a>
		        </li>
	<?php endwhile; else: ?>
	<li class="no-posts"><?php if(get_the_author_meta('first_name', $curauth->ID)): ?><?php echo $curauth->first_name; ?><?php else : ?><?php echo $curauth->display_name; ?><?php endif; ?> doesn&rsquo;t have any published posts yet.</li>
	<?php endif; ?>
	<?php } ?>
			</ul>
	</div><!-- /.eight-col -->
	</div><!-- /#articles -->
</div><!-- /.section-wrapper -->

</section>

<?php get_footer(); ?>
