<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Archive Template
 *
 *
 * @file           archive.php
 * @package        Canonical 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license        license.txt
 * @version        Release: 2.0
 * @filesource     wp-content/themes/canonical/archive.php
 * @link           http://codex.wordpress.org/Theme_Development#Archive_.28archive.php.29
 * @since          available since Release 2.0
 */
?>

<?php get_header(); ?>

<?php query_posts($query_string . '&posts_per_page=20'); ?>
<div class="six-col prefix-two">
<h1>Topic: <?php single_cat_title(); ?></h1>
<p class="content-summary">There are <?php if (is_category() ) { echo $wp_query->found_posts . ''; } ?> posts filed under the topic '<?php single_cat_title(); ?>'.</p>
	<ul id="results-list" class="no-bullets">
		<?php while (have_posts()) : the_post(); ?>
		<?php if (is_sticky()) continue; ?>
			<?php get_template_part("/includes/_result_list_item"); ?>		
		<?php endwhile;?>
	</ul>
	
<?php get_template_part("includes/_pagination"); ?>
	
</div><!-- /eight-col -->

<div class="three-col prefix-one last-col">
<?php get_template_part("/includes/_tags"); ?>
</div><!-- /two-col -->

<?php get_footer(); ?>
