<?php
function custom_login() {
	$files = '<link rel="stylesheet" href="'.get_bloginfo('template_directory').'/assets/stylesheets/login.css" />
			  <script src="http://use.typekit.com/pgf3epu.js"></script>
			  <script>try{Typekit.load();}catch(e){}</script>
			  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js?ver=1.7.2"></script>
	          <script src="'.get_bloginfo('template_directory').'/assets/js/login.js"></script>';
	echo $files;
}
add_action('login_head', 'custom_login');

// set max image
if ( ! isset( $content_width ) ) $content_width = 510;
// end set max image

// force display-name of users to Firstname Lastname
function force_pretty_displaynames() {
    $current_user = wp_get_current_user();
    if ($current_user->display_name != $current_user->first_name." ".$current_user->last_name){ 
       update_user_meta($current_user->ID, 'display_name', $current_user->first_name." ".$current_user->last_name);
    }

}
add_action('admin_head','force_pretty_displaynames');
// end force display-name of users to Firstname Lastname

// add class to pagination links
add_filter('next_posts_link_attributes', 'posts_link_attributes_1');
add_filter('previous_posts_link_attributes', 'posts_link_attributes_2');

function posts_link_attributes_1() {
    return 'class="prev-post"';
}
function posts_link_attributes_2() {
    return 'class="next-post"';
}
// end add class to pagination links

// Add default posts and comments RSS feed links to <head>.
add_theme_support( 'automatic-feed-links' );
// end add default posts and comments RSS feed links to <head>.

add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 250, 250, true );

function get_ID_by_page_name($page_name) {
	global $wpdb;
	$pgid=$wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_title = '".$page_name."' and post_status='publish'");
	return $pgid;
}

// remove_filter('post_link', 'syndication_permalink',1);
add_action( 'pre_get_posts', 'wpse7687_pre_get_posts' );
function wpse7687_pre_get_posts( &$wp_query ) {
    if ( $wp_query->is_category && 'latest-news' == $wp_query->get_queried_object()->slug ) {
        $wp_query->set( 'posts_per_page', 4 );
    }
}

// register_sidebar
if (function_exists('register_sidebar'))
    register_sidebar();
// end register_sidebar

// custom excerpt length
function custom_excerpt_length( $length ) {
	return 20;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 20 );
// end custom excerpt length


// add link to read more link to article excerpt function
function new_excerpt_more($more) {
	global $post;
	return '&hellip;';
}
add_filter('excerpt_more', 'new_excerpt_more');
// end add link to read more link to article excerpt function

// add page slug as body class
function add_body_class( $classes )
{
    global $post;
    if ( isset( $post ) ) {
        $classes[] = $post->post_type . '-' . $post->post_name;
    }
    return $classes;
}
add_filter( 'body_class', 'add_body_class' );
// end add page slug as body class

// redirect design-team user to main team page
add_action( 'template_redirect', 'wpse14047_template_redirect' );
function wpse14047_template_redirect()
{
    if ( is_author('design-team') ) {
        $id = get_query_var( 'author' );
        $post_count = count_user_posts( $id );
        if ( $post_count >= 0 ) { 
            //This line could also be wp_redirect 
            wp_redirect( '/team', 301 );
            die();
        }
    }
}
// end redirect design-team user to main team page

// remove unnecessary items from wp_head
remove_action( 'wp_head', 'feed_links_extra', 3 ); // Display the links to the extra feeds such as category feeds
remove_action( 'wp_head', 'feed_links', 2 ); // Display the links to the general feeds: Post and Comment Feed
remove_action( 'wp_head', 'rsd_link' ); // Display the link to the Really Simple Discovery service endpoint, EditURI link
remove_action( 'wp_head', 'wlwmanifest_link' ); // Display the link to the Windows Live Writer manifest file.
remove_action( 'wp_head', 'index_rel_link' ); // index link
remove_action( 'wp_head', 'parent_post_rel_link', 10, 0 ); // prev link
remove_action( 'wp_head', 'start_post_rel_link', 10, 0 ); // start link
remove_action( 'wp_head', 'adjacent_posts_rel_link', 10, 0 ); // Display relational links for the posts adjacent to the current post.
remove_action( 'wp_head', 'wp_generator' ); // Display the XHTML generator that is generated on the wp_head hook, WP version
// end remove unnecessary items from wp_head


add_filter('get_comments_number', 'comment_count', 0);

function comment_count( $count ) {
    if ( ! is_admin() ) {
        global $id;
        $get_comments = get_comments('status=approve&post_id=' . $id);

        $comments_by_type = separate_comments($get_comments);

        return count($comments_by_type['comment']);
    } else {
        return $count;
    }
}
