<?php
// add jquery
function theme_js_init() {
	if (!is_admin()) {
		wp_deregister_script('jquery');
		wp_register_script('jquery', get_bloginfo('template_url') . '/assets/js/jquery.min.js', false, '1.7.2', true);
		wp_enqueue_script('jquery');

		// load a jquery_ui: js/jquery-ui.min.js
		wp_deregister_script('jquery_ui');
		wp_register_script('jquery_ui', get_bloginfo('template_url') . '/assets/js/jquery-ui.min.js', false, '1.8', true);
		wp_enqueue_script('jquery_ui');
		
		// load infinite scroll jquery		
		wp_register_script( 'infinite_scroll',  get_bloginfo('template_url') . '/assets/js/jquery.infinitescroll.min.js', array('jquery'),null,true );
		    if( ! is_singular() ) {
		        wp_enqueue_script('infinite_scroll');
		    }

		// *Load this last* load a JS file for Ubuntu: js/core.js
		wp_enqueue_script('ubuntu_core', get_bloginfo('template_url') . '/assets/js/core.js', array('jquery'), '1.0', true);
	}
}
add_action('init', 'theme_js_init');
// end add jquery

// add infinite Scroll and masonry
function custom_infinite_scroll_js() {
    if( ! is_singular() ) { ?>
    <script>
    var infinite_scroll = {
        loading: {
            img: "<?php echo get_template_directory_uri(); ?>/images/ajax-loader.gif",
            msgText: "<?php _e( 'Loading the next set of posts...', 'custom' ); ?>",
            finishedMsg: "<?php _e( 'All posts loaded.', 'custom' ); ?>"
        },
        "nextSelector":".pagination .nav-previous a",
        "navSelector":".pagination",
        "itemSelector":"#results-list li",
        "contentSelector":"#results-list",
        "animate":"true",
        "behavior" 	 : "twitter"

    };
    jQuery( infinite_scroll.contentSelector ).infinitescroll( infinite_scroll );
    </script>
    <?php
    }
}
add_action( 'wp_footer', 'custom_infinite_scroll_js',100 );
// end add infinite Scroll and masonry

// add team javascript
function team_js() {
    if(is_page('team')) { ?>
    <script type='text/javascript' src='http://design.canonical.com/wp-content/themes/design-blog-theme/assets/js/jquery.masonry.min.js'></script>    
    <script>
	jQuery(document).ready(function($){
		$('#team-list-wrapper .wrapper').masonry({
			itemSelector: '.user-result',
			columnWidth : 10		});
	});    
    </script>
    <?php
    }
}
add_action( 'wp_footer', 'team_js',100 );
// end add author javascript

// add ie conditional html5 shim to header
function add_ie_html5_shim () {
	global $is_IE;
	if ($is_IE);
		echo '<!--[if lt IE 9]>';
    	echo '<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>';
		echo '<![endif]-->';		
}
add_action('wp_head', 'add_ie_html5_shim');
// end add ie conditional html5 shim to header

