<?php

require_once 'xml2json.php';

function load_json_from_cache($url)
{
	$hash = sprintf("%u", crc32($url));
	
	$transient_json = get_transient($hash);
	
	if($transient_json)
		$json = $transient_json;
	else
	{
		try
		{
			$raw_xml = get_url($url);
			$json = xml2json::transformXmlStringToJson($raw_xml);
			
			if($result && count($result)>0)
			{
				set_transient($hash, $json, 30);
			}
			else
				$json = "null";
		}
		catch (Exception $e)
		{
			$json = "null";
		}
	}
	
	return $json;
}

function get_url($url)
{
	$handle = fopen($url, "rb");
	$contents = stream_get_contents($handle);
	fclose($handle);

	return $contents;
}

?>
