<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Index Template
 *
 *
 * @file           index.php
 * @package        Canonical 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license        license.txt
 * @version        Release: 2.0
 * @filesource     wp-content/themes/canonical/index.php
 * @link           http://codex.wordpress.org/Theme_Development#Index_.28index.php.29
 * @since          available since Release 2.0
 */
?>

<?php get_header(); ?>
<h1 class="off-left">Welcome to the Ubuntu Design Blog</h1>
<?php 
	$paged = (get_query_var('paged')) ? get_query_var('paged') : 1; // Needed for pagination
	$postCount = 0;
?>
<div id="articles" class="row">
<ul class="no-bullets">

<?php $my_query = new WP_Query('category_name=Featured&posts_per_page=3'); // get featured articles and limit to 3
while ($my_query->have_posts()) : $my_query->the_post(); ?>

		<li class="block-click <?php if(is_home() && !is_paged() && ++$postCount == 1) { echo 'nine-col first-col'; } elseif(is_home() && !is_paged() && $postCount == 2 || $postCount == 3) { echo 'six-col'; } ?><?php if(is_home() && !is_paged() && $postCount == 3) { echo ' last-col'; } ?><?php if(is_home() && !is_paged() && $postCount == 2) { echo ' first-col'; } ?>">
			<article>
					<div class="<?php if(is_home() && !is_paged() && $postCount == 1) { echo 'six-col'; } elseif(is_home() && !is_paged() && $postCount == 2 || $postCount == 3) { echo 'three-col'; } ?>">
					<header>
						<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
						<p class="post-cat">
							<?php $category = get_the_category(); if($category[0]->cat_name != 'Featured'){ echo '<a href="'.get_category_link($category[0]->term_id ).'">'.$category[0]->cat_name.'</a>'; } else { echo '<a href="'.get_category_link($category[1]->term_id ).'">'.$category[1]->cat_name.'</a>'; } ?>
						</p>
					</header>
						<?php if(is_home() && !is_paged() && $postCount == 1) { the_excerpt(); } ?>
					<footer>
						<p><a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php if(get_the_author_meta('first_name') == '') { ?><?php if(the_author_meta('display_name')) ?><?php } else { ?><?php if(the_author_meta('first_name')) ?><?php } ?></a>, <time datetime="<?php the_time('Y-m-d') ?>" pubdate><?php the_time('j') ?><sup><?php the_time('S') ?></sup><?php the_time(' F Y') ?></time></p>
					</footer>
					</div>
				<div class="three-col article-image last-col">
				<?php
					$key = 'youtube';
					$themeta = get_post_meta($post->ID, $key, TRUE);
					if($themeta != '') { ?>
				<iframe width="260" height="146" src="http://www.youtube.com/embed/<?php echo $themeta; ?>"></iframe>
				<?php }	?>		
					<?php if(has_post_thumbnail()) { the_post_thumbnail();} ?>
				</div>
			</article>
		</li>
<?php if(is_home() && !is_paged() && $postCount == 1) { ?>
<?php query_posts( 'p=34839' );?>
    <?php while ( have_posts() ) : the_post(); ?>
		<li class="sticky-top block-click three-col last-col">
			<article>
				<header>
					<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
				</header>
					<?php the_excerpt(); ?>
				<footer>
					<p><a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php if(get_the_author_meta('first_name') == '') { ?><?php if(the_author_meta('display_name')) ?><?php } else { ?><?php if(the_author_meta('first_name')) ?><?php } ?></a>, <time datetime="<?php the_time('Y-m-d') ?>" pubdate><?php the_time('j') ?><sup><?php the_time('S') ?></sup><?php the_time(' F Y') ?></time></p>
				</footer>
			</article>
		</li>
    <?php endwhile; ?>
<?php wp_reset_query(); ?>
<?php } ?>
<?php endwhile; ?>
<?php 
	$category = get_category_by_slug('Featured'); 
	$catid = $category->term_id; 
	wp_reset_query();
	query_posts( 'cat=-'.$catid.'&posts_per_page=3' );
	$postCount = 0;
?>
<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>
	<?php if (is_sticky()) continue; ?>	
	<li class="block-click three-col three-col-lower<?php if(is_home() && !is_paged() && ++$postCount == 1) { echo ' first-col'; } ?>">
		<article>
			<header>
				<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
				<p class="post-cat"><?php $category = get_the_category(); if($category[0]){ echo '<a href="'.get_category_link($category[0]->term_id ).'">'.$category[0]->cat_name.'</a>'; } ?></p>
			</header>
			<footer>
				<p><a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php if(get_the_author_meta('first_name') == '') { ?><?php if(the_author_meta('display_name')) ?><?php } else { ?><?php if(the_author_meta('first_name')) ?><?php } ?></a>, <time datetime="<?php the_time('Y-m-d') ?>" pubdate><?php the_time('j') ?><sup><?php the_time('S') ?></sup><?php the_time(' F Y') ?></time></p>
			</footer>
		</article>
	</li>
<?php if(is_home() && !is_paged() && $postCount == 3) { get_template_part("tweet"); } // include tweet ?>
<?php endwhile;?>
<?php endif; // if have_posts ends 
	wp_reset_query();
?> 
</ul>
</div><!-- /#articles -->

<?php // get_sidebar(); ?>
<?php get_footer(); ?>
