<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Authors Template
 *
 *
 * @file           page-authors.php
 * @package        Canonical 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license        license.txt
 * @version        Release: 2.0
 * @filesource     wp-content/themes/canonical/page-authors.php
 * @link           http://codex.wordpress.org/Author_Templates
 * @since          available since Release 2.0
 */
?>

<?php get_header(); ?>
<section>
<div id="team-intro-wrapper" class="section-wrapper">
<div class="non-semantic-div container">
	<div class="wrapper clearfix">
	<h1>Team</h1>
		<div class="intro">
			<article>
				<p>Being part of the Canonical Design team means loving what you do. It&rsquo;s about accepting challenges, solving puzzles and having an impact on people&rsquo;s lives. It&rsquo;s about making a difference and, at the same time, creating great user experiences.</p>
				<p>Everyone in the team, from researchers to visual designers, has their special super-power. But it&rsquo;s collaboration - both  with each other and with the wider Ubuntu community - that makes it possible to create amazing products, with design at their core.</p>
			</article>
		</div><!-- /.intro -->
	</div><!-- /.wrapper -->
</div><!-- /.non-semantic-div -->
</div><!-- /.section-wrapper -->
<?php
	$uid_arr = $wpdb->get_col($wpdb->prepare("
	SELECT $wpdb->users.ID
		FROM $wpdb->users
	join $wpdb->usermeta
		on $wpdb->users.ID = $wpdb->usermeta.user_id
	where $wpdb->usermeta.meta_key = 'displayonteam'
		and $wpdb->usermeta.meta_value = '1'
	ORDER BY RAND()
	"));
?>

<div id="team-list-wrapper" class="section-wrapper">
	<div class="wrapper clearfix">		
		<ul id="team-list" class="no-bullets clearfix">
			<?php
				$number = array('100','150');
				foreach($uid_arr as $uid):
			?>
					<li class="user-result">
								<a href="/author/<?php the_author_meta('user_nicename',$uid); ?>">
								<?php if(get_the_author_meta('user_photo', $uid)): ?>	
								    <img src="<?php bloginfo('url'); ?>/wp-content/uploads/<?php the_author_meta('user_photo',$uid); ?>" alt="<?php the_author_meta('first_name',$uid); ?>'s photo" class="superellipse avatar avatar-140 photo" <?php $randnum = $number[array_rand($number)]; ?>width="<?php echo $randnum; ?>" height="<?php echo $randnum; ?>" />
							    <?php else : ?>
							    	<?php echo get_avatar(get_the_author_meta('user_email',$uid),'100'); ?>
							    <?php endif; ?>
									<p class="off-left"><?php the_author_meta('display_name',$uid); ?>
									<?php if(get_the_author_meta('roleinteam',$uid)){ ?>
										<?php the_author_meta('roleinteam',$uid); ?>
										<?php the_author_meta('displayonteam',$uid); ?>
										
									<?php } ?></p>
								</a>
					</li>
			<?php endforeach;?>
		</ul>
		
	</div><!-- /.wrapper -->
</div><!-- /.section-wrapper -->
</section>
<?php get_footer(); ?>