<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Page Template
 *
 *
 * @file           page.php
 * @package        Canonical 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license        license.txt
 * @version        Release: 2.0
 * @filesource     wp-content/themes/canonical/page.php
 * @link           http://codex.wordpress.org/Theme_Development#Pages_.28page.php.29
 * @since          available since Release 2.0
 */
?>

<?php get_header(); ?>

<div id="leftColumn" class="narrowcolumn" role="main">
	<div class="titleBox">
		<h1><?php the_title(); ?></h1>
	</div>
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	<div class="postBox" id="post-<?php the_ID(); ?>">

		<div class="entry">
			<?php
			/* Get latest design jobs */
			if (the_ID() == 'post-20106') :
				include_once(ABSPATH . WPINC . '/rss.php');
				$feed = 'http://www.canonical.com/feeds/jobs/design';
				$rss = fetch_feed($feed);
				if (!is_wp_error($rss)) :
			    	$max_items = $rss->get_item_quantity(5);
			    	$rss_items = $rss->get_items(0, $max_items);
			    	if ($rss_items):
						echo "<h2 style=\"font-size:28px; margin-bottom:14px\">Latest jobs</h2>\n";
			        	echo "<ul>\n";
			        	foreach ($rss_items as $item) :
			            	echo '<li><a href="' . $item->get_permalink() . '">' . $item->get_title() . '</a></li>';
			        	endforeach;
			        	echo "</ul>\n";
			    	endif;
				endif;
			endif;
			?>
			
			<?php the_content('<p class="serif">Read the rest of this page &raquo;</p>'); ?>

			<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

		</div>
	</div>
	<?php endwhile; endif; ?>


</div>
	
<?php get_sidebar(); ?>
<?php get_footer(); ?>