<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Single Template
 *
 *
 * @file           single.php
 * @package        Canonical 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license        license.txt
 * @version        Release: 2.0
 * @filesource     wp-content/themes/canonical/footer.php
 * @link           http://codex.wordpress.org/Theme_Development#Footer_.28footer.php.29
 * @since          available since Release 2.0
 */
?>

<?php get_header(); 
	$has_full_width_image_title_color = 'dbt_full_width_image_title_color';
	$full_width_image_title_color = get_post_meta($post->ID, $has_full_width_image_title_color, TRUE);
	$has_banner_image = 'dbt_banner_image';
	$banner_image = get_post_meta($post->ID, $has_banner_image, TRUE);
	//Get the Thumbnail URL
	$large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
	$do_banner = has_post_thumbnail() && $banner_image != '';
?>
<section>
<div class="section-wrapper">
<?php if (have_posts()) : ?>
	<?php while (have_posts()) : the_post(); ?>
				<?php if($do_banner) { ?>
				<div id="post-banner" class="" style="background: url(<?php echo $large_image_url[0]; ?>) 50% 0 no-repeat;">
				</div><!-- /.post-banner -->
				<?php } // end if $full_width_image ?>	
	<div class="wrapper">
		<div class="six-col prefix-two">
			<article<?php if($do_banner) { echo ' class="has-banner"'; } ?>>
				<header>
				<h1  itemprop="name"<?php if($do_banner) { echo ' style="color:#'.$full_width_image_title_color.'"'; } ?>><?php the_title(); ?></h1>

					<div class="article-meta two-col">
						<ul id="author-meta" class="no-bullets">
							<li>
								<a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>" title="View <?php if(get_the_author_meta('first_name',$uid)): ?><?php the_author_meta('first_name',$uid); ?><?php else : ?><?php the_author_meta('display_name',$uid); ?><?php endif; ?>'s bio and posts">
								<?php if(get_the_author_meta('user_photo', $uid)): ?>	
								    <img src="<?php bloginfo('url'); ?>/wp-content/uploads/<?php the_author_meta('user_photo',$uid); ?>" alt="<?php the_author_meta('first_name',$uid); ?>'s photo" class="avatar avatar-48 photo" width="48" height="48" />
							    <?php else : ?>
							    	<?php echo get_avatar(get_the_author_meta('user_email',$uid),'48'); ?>
							    <?php endif; ?>
								</a>
							</li>
							<li>
								<a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>" title="View <?php if(get_the_author_meta('first_name',$uid)): ?><?php the_author_meta('first_name',$uid); ?><?php else : ?><?php the_author_meta('display_name',$uid); ?><?php endif; ?>'s bio and posts">
									<span><?php the_author_meta('display_name'); ?></span>
								</a>
							</li>
							<li>Posted on <time datetime="<?php the_time('Y-m-d') ?>" pubdate><?php the_time('j') ?><sup><?php the_time('S') ?></sup><?php the_time(' F Y') ?></time></li>
							<li>Filed under: 
							<?php
							foreach((get_the_category()) as $category) {
							    if ($category->cat_name != 'Featured') {
							    	echo '<a href="' . get_category_link( $category->term_id ) . '" title="' . sprintf( __( "View all posts in %s" ), $category->name ) . '" ' . '>' . $category->name.'</a> '; 
							    	}
							    }
							?>					
							</li>
						</ul>
						<div id="share-links">
							<h3>Share this article:</h3>
							<ul id="social-links" class="no-bullets">
								<li id="social-twitter"><a title="Share '<?php the_title(); ?>' on Twitter" href="http://twitter.com/share?text=%E2%80%9C'<?php the_title(); ?>'%E2%80%9D &amp;url=<?php the_permalink(); ?>">Share on Twitter</a></li>
								<li><a id="social-email" title="Share '<?php the_title(); ?>' via Email" href="mailto:?subject=Saw this and thought of you&amp;Body=I'm currently reading '<?php the_title(); ?>' on the Canonical Design Blog and thought you would like it. Check it out: <?php the_permalink(); ?>">Share via Email</a></li>
								<li><a id="social-facebook" title="Share '<?php the_title(); ?>' on Facebook" href="http://www.facebook.com/sharer.php?u=<?php the_permalink(); ?>&amp;t=Reading <?php the_title(); ?>">Share on Facebook</a></li>
								<li><a id="social-google" title="Share '<?php the_title(); ?>' on Google+" href="https://plus.google.com/share?url=<?php the_permalink(); ?>">Share on Google+</a></li>
							</ul>
						</div><!-- /#share-links -->
					</div><!-- /.article-meta -->
				</header>
			<!-- <?php
					$key = 'youtube';
					$themeta = get_post_meta($post->ID, $key, TRUE);
					if($themeta != '') { ?>
					<iframe width="620" height="349" src="http://www.youtube.com/embed/<?php echo $themeta; ?>" frameborder="0" allowfullscreen></iframe>
				<?php }	?>		
				<?php if(has_post_thumbnail()) { the_post_thumbnail('medium'); } ?> -->
				<div itemprop="description" class="post-content container">
				<?php // if(has_post_thumbnail() && $banner_image == '') { the_post_thumbnail('large'); } ?>
				<?php the_content('Read the rest of this entry'); ?>
				</div>
		</div><!-- /.six-col -->
			</article>
	</div><!-- /.wrapper -->
</div><!-- /.section-wrapper -->
<?php $orig_post = $post;
global $post;
$tags = wp_get_post_tags($post->ID);
if ($tags) {
$tag_ids = array();
foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;
$args=array(
'tag__in' => $tag_ids,
'post__not_in' => array($post->ID),
'posts_per_page'=>5, // Number of related posts that will be shown.
'caller_get_posts'=>1
);
$my_query = new wp_query( $args );
if( $my_query->have_posts() ) {
	  echo '<div class="section-wrapper related-posts-wrapper">';
	  echo '<div class="wrapper">';
	  echo '<div class="six-col prefix-two">';
	  echo '<h2>Related articles</h2><ul class="no-bullets">';
while( $my_query->have_posts() ) {
$my_query->the_post(); ?>
	      <li>
	      	<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a>
	      	<span class="clearfix">by <a href="/author/<?php the_author_meta('user_nicename',$uid); ?>" title="View <?php if(get_the_author_meta('first_name',$uid)): ?><?php the_author_meta('first_name',$uid); ?><?php else : ?><?php the_author_meta('display_name',$uid); ?><?php endif; ?>'s bio and posts"><?php the_author() ?></a>, <time datetime="<?php the_time('Y-m-d') ?>" pubdate><?php the_time('j') ?><sup><?php the_time('S') ?></sup><?php the_time(' F Y') ?></time></span>
	      </li>
<?php }
	  echo '</ul>';
	  echo '</div><!-- /.six-col -->';
	  echo '</div><!-- /.wrapper -->';
	  echo '</div><!-- /.section-wrapper -->';
}
}
$post = $orig_post;
wp_reset_query(); ?>
	<?php endwhile; // while have_posts ends ?> 
	<?php endif; // if have_posts ends ?> 
<div class="section-wrapper<?php if (get_comments_number()==0) { echo ' no-comments'; } ?><?php $tags = wp_get_post_tags($post->ID); if ($tags) { echo ' has-related'; } ?>">
	<div class="wrapper">
		<div class="eight-col prefix-two">
			<?php comments_template(); ?> 
		</div><!-- /.six-col --> 
	</div><!-- /.wrapper -->
</div><!-- /.section-wrapper -->
</section>
<?php get_footer(); ?>
