<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Authors Template
 *
 *
 * @file           page-authors.php
 * @package        Canonical 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license        license.txt
 * @version        Release: 2.0
 * @filesource     wp-content/themes/canonical/page-authors.php
 * @link           http://codex.wordpress.org/Author_Templates
 * @since          available since Release 2.0
 */
?>

<?php get_header(); ?>
<div class="twelve-col">
	<?php
	set_include_path(get_include_path() . ':' . dirname(__FILE__) . '/pear');
	
	include("Numbers/Words.php");
	
	$nw = new Numbers_Words();
	
	$uid_arr = $wpdb->get_col($wpdb->prepare("
	SELECT $wpdb->users.ID
		FROM $wpdb->users
	join $wpdb->usermeta
		on $wpdb->users.ID = $wpdb->usermeta.user_id
	where $wpdb->usermeta.meta_key = 'displayonteam'
		and $wpdb->usermeta.meta_value = '1'
	"));
	?>
<h1><?php echo ucfirst($nw->toWords(sizeof($uid_arr))); ?> heads are better than one.</h1>
<ul class="no-bullets">
	<?php
	foreach($uid_arr as $uid):
		?>
			<li class="box two-col clearfix">
				<article>
					<div>
						<?php echo get_avatar(get_the_author_meta('user_email',$uid),'100'); ?>
						<h2><?php the_author_meta('display_name',$uid); ?></h2>
						<ul class="no-bullets">
						<?php if(get_the_author_meta('roleinteam',$uid)){ ?>
							<li class="role"><?php the_author_meta('roleinteam',$uid); ?></li>
						<?php } if(get_the_author_meta('twitter',$uid)){ ?>
							<li><span>Twitter:</span> <a href="http://twitter.com/<?php the_author_meta('twitter',$uid); ?>">@<?php the_author_meta('twitter',$uid); ?></a></li>
						<?php } if(get_the_author_meta('facebook',$uid)){ ?>
							<li><span>Facebook:</span> <a href="http://facebook.com/<?php the_author_meta('facebook',$uid); ?>"><?php the_author_meta('facebook',$uid); ?></a></li>
						<?php } if(get_the_author_meta('irc',$uid)){ ?>
							<li><span>IRC:</span> <?php the_author_meta('irc',$uid); ?></li>
						<?php } if(get_the_author_meta('website',$uid)  ){ ?>
							<li><span>Web:</span><a href="<?php the_author_meta('website',$uid); ?>"><?php echo(str_replace("http://","",get_the_author_meta('website',$uid))); ?></a></li>
						<?php } ?>
						</ul>
					</div><!-- /.five-col -->
					<!-- <div class="six-col last-col">
						<p><?php echo nl2br(get_the_author_meta('user_description',$uid)); ?></p>
					</div> -->
				</article>
			</li>
	<?php endforeach;?>
</ul>
</div>

<?php get_footer(); ?>
