<?php
/*
Template Name: Toolkit Page
*/
?>
<?php get_header(); ?>
<?php
	$sections = array('Desktop','Unity');
	
	function generateKey($name){
		$key = strtolower($name);
		return str_replace(' ','_',$key);
	}
?>
<div id="leftColumn">
	<div class="titleBox">
		<h1 class="tplToolkit">
			The toolkit
		</h1>
	</div>
	<!-- Brand Resources -->
	<div class="toolkitCat">
		<h2 class="toolkitHeader">
			<img src="<?php bloginfo('template_directory')?>/images/arrow_open.png" alt="toggle"/>
			Brand Resources
		</h2>
		<div class="toolkitContainer">			
			<div class="brand-guidelines">
				<div class="intro">
					<img src="<?php bloginfo('template_directory')?>/images/dots-guidelines.png" width="130" height="165" alt=""/>
					<h3><a href="http://design.ubuntu.com">Ubuntu Brand Guidelines &rsaquo;</a></h3>
					<div class="sidebar">
						<h4>Quick links</h4>
						<ul>
							<li><a href="http://design.ubuntu.com/audiences">Audiences</a></li>
							<li><a href="http://design.ubuntu.com/assets">Brand assets</a></li>
							<li><a href="http://design.ubuntu.com/web">Web guidelines</a></li>
							<li class="last"><a href="http://design.ubuntu.com/downloads">Downloads</a></li>
						</ul>
					</div>
					<p>The Ubuntu Brand Guidelines exist so we can all communicate Ubuntu with the same precision we use to make it.</p>
					<p>Visit the Ubuntu Brand Guidelines site to download and learn more about how to use the brand assets.</p>
				</div>
				<div class="more">
					<h5><a href="/brand">Brand assets &rsaquo;</a></h5>
					<p>Print and screen versions of all Ubuntu and Canonical logos and pictograms.</p>
				</div>
				<div class="more last">
					<h5><a href="/the-toolkit/ubuntu-logo-and-circle-of-friends">Ubuntu logos and Circle of Friends &rsaquo;</a></h5>
					<p>Ubuntu logos and Circle of Friends for use on screen.</p>
				</div>
			</div>
			<div class="clearBoth"></div>
		</div>
	</div>
	<!-- /Brand Resources -->
	<?php foreach($sections as $s): ?>
		<?php $key = generateKey($s);
		$pages = get_pages(array('child_of'=>get_ID_by_page_name('The toolkit'),'meta_key'=>'toolkit','meta_value'=>$key,'sort_order'=>'asc','sort_column'=>'menu_order'));
		if(count($pages)>0): ?>
	<div class="toolkitCat">
		<h2 class="toolkitHeader">
			<img src="<?php bloginfo('template_directory')?>/images/arrow_open.png" alt="toggle"/>
			<?php echo $s ?>
		</h2>
		<div class="toolkitContainer">
			<?php 
			$tk_page_counter = 0;
			foreach($pages as $tk_page): ?>
				<div class="toolkitBox<?php if($tk_page_counter++%3==0)echo' firstToolkitBox'; ?>">
					<a href="<?php echo get_permalink_or_redirect($tk_page->ID);?>" class="toolkitImgLink">
						<?php if(has_post_thumbnail($tk_page->ID))echo get_the_post_thumbnail($tk_page->ID); ?>
					</a>
					<a href="<?php echo get_permalink_or_redirect($tk_page->ID);?>"><?php echo $tk_page->post_title; ?></a>
					<?php echo $tk_page->post_excerpt; ?>
				</div>
			<?php endforeach;  ?>
			<div class="clearBoth"></div>
		</div>
	</div>
		<?php endif; ?>
	<?php endforeach; ?>
</div>
<?php get_sidebar(); ?>

<?php get_footer(); ?>
